V1.0
get
/ec-designer-svc/rest/v1.0/studies/{studyId}/versions/{version}/arms
Retrieves the treatment arms configured for the specified study version. The list is returned by treatment arm title and includes each arm's title, short name, description, and version metadata when available.
Request
Path Parameters
-
studyId(required): string(uuid)
Study ID (UUID, 32-character uppercase hexadecimal string). Required.Example:
F054C951EB74443C93716CA714AB686E -
version(required): string
Study version path segment. Required. Example: "1.0.0.1".Example:
1.0.0.1
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Successful operation.
Root Schema : schema
Type:
Show Source
array-
Array of:
object Treatment Arm Response v1.0
Title:
Treatment Arm Response v1.0Treatment arm details returned for a study version.
Nested Schema : Treatment Arm Response v1.0
Type:
objectTitle:
Treatment Arm Response v1.0Treatment arm details returned for a study version.
Show Source
-
description: string
Title:
Treatment Arm DescriptionMinimum Length:0Maximum Length:4000Optional description of the treatment arm. Length: 0 to 4000 characters.Example:Investigational treatment arm -
id: string
(uuid)
Title:
Treatment Arm IDMinimum Length:32Maximum Length:32Treatment arm ID. UUID, 32-character uppercase hexadecimal string. For update requests, use the armId path parameter. -
shortName(required): string
Title:
Treatment Arm Short NameMinimum Length:1Maximum Length:64Short name used to identify the treatment arm. Required for create and update requests. Length: 1 to 64 characters.Example:ARM_A -
studyId: string
(uuid)
Title:
Study IDMinimum Length:32Maximum Length:32Study ID. UUID, 32-character uppercase hexadecimal string. Included in responses when available. -
studyVersionEnd: string
(date-time)
Title:
Study Version EndDate and time when the associated study version ends. Included in responses when available.Example:3099-12-31T05:00:00Z -
studyVersionStart: string
(date-time)
Title:
Study Version StartDate and time when the associated study version starts. Included in responses when available.Example:2024-01-15T10:30:00Z -
title(required): string
Title:
Treatment Arm TitleMinimum Length:1Maximum Length:64Treatment arm title. Required for create and update requests. Length: 1 to 64 characters.Example:Treatment Arm A -
versionEnd: string
(date-time)
Title:
Version EndDate and time when this treatment arm version ends. Included in responses when available.Example:3099-12-31T05:00:00Z -
versionStart: string
(date-time)
Version Start dateExample:
2018-11-23T08:43:01.7Z
Example:
{
"id":"B1B8327AFAA6412287106192AB5984EF",
"title":"Treatment Arm A",
"shortName":"ARM_A",
"description":"Investigational treatment arm"
}Examples
500 Response
Returned when the request cannot be completed due to validation failure, authorization failure, or an unexpected server-side condition.
Root Schema : ErrorResponseData
Type:
objectTitle:
ErrorResponseDataError Response Details Information
Show Source
-
details: object
Object
Title:
ObjectObject with error details information. -
errorCode: string
Error code which is stored in ErrorCode enum. Example : C1-003Example:
C1-003 -
errorMessage: string
Error message which is stored in service property file. Example : Cannot modify object after a study version has been approvedExample:
Cannot modify object after a study version has been approved
Nested Schema : Object
Type:
objectTitle:
ObjectObject with error details information.
Example:
{
"field":"studyId",
"reason":"Invalid value"
}